<?php

namespace App\Http\Controllers\Client;

use App\Models\Place;
use App\Models\Trend;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Product;
use App\Models\Catalogue;
use App\Models\Project;
use App\Models\Salon;


class HomeController extends ClientController
{
    public function index()
    {
        $products_count = Product::Client()->count();
        //$catalogues_count = Catalogue::Client()->count();
        $projects_count = Project::Client()->count();
        $salons_count = Salon::Client()->count();

        $trends_count = Trend::Client()->count();
        $adresses_count = Place::Client()->count();
        return view('clients.home', compact('products_count', 'catalogues_count', 'projects_count', 'salons_count', 'trends_count', 'adresses_count'));
    }
}
